package com.capgemini.reports.filter;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.capgemini.reports.bomlineholder.BOMLineHolder;
import com.capgemini.reports.snecmaobjects.ISnecmaObject;

/** Class which implements IFilterExplosionNomenclature, always returns false which means : no part should ever be excluded. */
public class AllIsGoodFilter implements IFilterExplosionNomenclature {

    @Override
    public boolean isExcluded(TcSession session, final BOMLineHolder object) {
        return false;
    }

    @Override
    public boolean isExcluded(final ISnecmaObject object) {
        return false;
    }

    @Override
    public boolean isExcluded(final String type) {
        return false;
    }

    @Override
    public boolean isIncluded(final String type) {
        return true;
    }

}
